POST api/Setting/PostTables
Request Information
URI Parameters
None.
Body Parameters
Collection of FoodTable| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Name | string |
Max length: 50 |
|
| FloorId | integer |
None. |
|
| Floor | Floor |
None. |
|
| PositionX | integer |
None. |
|
| PositionY | integer |
None. |
|
| Height | integer |
None. |
|
| Width | integer |
None. |
|
| Chairs | integer |
None. |
|
| Status | TableStatus |
None. |
|
| ImageUrl | string |
Max length: 100 |
|
| ColorCode | string |
Max length: 10 |
|
| ServeStatus | integer |
None. |
|
| SortOrder | integer |
None. |
|
| LockedByTerminal | globally unique identifier |
None. |
|
| Updated | date |
None. |
|
| OrderCount | integer |
None. |
|
| OrderTotal | decimal number |
None. |
|
| FloorName | string |
None. |
|
| PerformaPrinted | boolean |
None. |
|
| TableComments | string |
None. |
|
| OrderTime | string |
None. |
|
| Orders | Collection of Order |
None. |
Request Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"Id": 1,
"Name": "sample string 2",
"FloorId": 3,
"Floor": {
"$id": "2",
"Id": 1,
"Name": "sample string 2",
"LayoutImage": "QEA=",
"Updated": "2026-11-04T13:35:57.9215786+01:00",
"Tables": [
{
"$ref": "1"
},
{
"$ref": "1"
}
]
},
"PositionX": 4,
"PositionY": 5,
"Height": 6,
"Width": 7,
"Chairs": 8,
"Status": 0,
"ImageUrl": "sample string 9",
"ColorCode": "sample string 10",
"ServeStatus": 11,
"SortOrder": 12,
"LockedByTerminal": "d5bec182-a912-485d-945f-ed5a5af229e0",
"Updated": "2026-11-04T13:35:57.9215786+01:00",
"OrderCount": 15,
"OrderTotal": 16.0,
"FloorName": "sample string 17",
"PerformaPrinted": true,
"TableComments": "sample string 19",
"OrderTime": "sample string 20",
"Orders": [
{
"$id": "3",
"Id": "38902da6-a3df-4710-80aa-4244abfe40b9",
"CreationDate": "2026-11-04T13:35:57.9215786+01:00",
"OrderNoOfDay": "sample string 3",
"TableId": 4,
"TableName": "sample string 5",
"CustomerId": "d44f4ea3-8efc-4073-9848-88c198f8e519",
"Status": 0,
"Type": 0,
"PaymentStatus": 0,
"Comments": "sample string 7",
"OrderComments": "sample string 8",
"InvoiceNumber": 9,
"InvoiceDate": "2026-11-04T13:35:57.9215786+01:00",
"InvoiceGenerated": true,
"UserId": "sample string 11",
"CheckOutUserId": "sample string 12",
"Bong": 13,
"TrainingMode": true,
"TerminalId": "5846f5c1-9a55-4c1f-9395-809f15371c9d",
"OutletId": "a2e223fd-6ca5-4f93-af46-b27e1cee9c4f",
"SourceTerminalId": "sample string 17",
"CustomerInvoiceId": "7bff63e4-0b84-4688-acef-e503e93f25ee",
"RoundedAmount": 18.0,
"OrderTotal": 19.0,
"IsGiftCardSale": true,
"OpenSynced": true,
"Synced": true,
"ServeFlowId": 64,
"ServeFlowStatus": 64,
"CategoryId": 64,
"DeliveryDate": "2026-11-04T13:35:57.9215786+01:00",
"EnableRUT": true,
"CustomerReferenceId": "6321435c-55d5-4180-8e6f-69cc4ddf13b3",
"ExternalStatus": 0,
"PerformaCount": 64,
"DeleteReason": "sample string 29",
"DiscountReason": "sample string 30",
"WaitForCourse": true,
"TableRecreated": true,
"ReturnRecreated": true,
"Updated": "2026-11-04T13:35:57.9215786+01:00",
"OrderState": "sample string 35",
"ServiceTypeCode": "sample string 36",
"PuckNumber": "sample string 37",
"GuestCount": 1,
"ChannelName": "sample string 38",
"PreviousServiceTypeCode": "sample string 39",
"OrderLines": [
{
"$id": "4",
"Id": "97a2d380-b8c3-4091-8230-00caee0cd5e4",
"OrderId": "a8bedcde-e8d2-4fa0-a665-0ec61e9f298b",
"Order": {
"$ref": "3"
},
"ItemId": "bdb6cb0e-ebb0-4348-a4c8-e4e6c1414163",
"Product": {
"$id": "5",
"Id": "bb6ffb7b-4f2e-4fee-bccf-3ef4f22b9420",
"Name": "sample string 2",
"SKU": "sample string 3",
"BarCode": "sample string 4",
"PLU": "sample string 5",
"GroupId": "73c75013-91ab-47c2-a9d8-3d95e1d1cf61",
"SupplierId": "28a29002-6248-4ca5-9c6b-38d3417a7a77",
"SupplierSKU": "sample string 7",
"BrandId": 8,
"Description": "sample string 9",
"LongDescription": "sample string 10",
"BongTitle": "sample string 11",
"TextColor": "sample string 12",
"ColorCode": "sample string 13",
"IconId": 14,
"ShowItemButton": true,
"ShowGroupItem": true,
"Price": 17.0,
"PurchasePrice": 18.0,
"Tax": 19.0,
"Unit": 0,
"AskPrice": true,
"AskWeight": true,
"PriceLock": true,
"PrinterId": 23,
"PlaceHolder": true,
"AskVolume": true,
"NeedIngredient": true,
"Bong": true,
"Sticky": 28,
"Seamless": true,
"AccountingId": 30,
"ReceiptMethod": 0,
"ItemType": 0,
"DiscountAllowed": true,
"PreparationTime": 0,
"PrepMinutes": 1,
"IngredientPopup": true,
"DefaultCartQty": 33.0,
"SortOrder": 34,
"Active": true,
"Deleted": true,
"Weight": 37.0,
"Availability": true,
"ServeType": 64,
"Synced": true,
"DemandIdControl": true,
"Discontinued": true,
"AskPLU": true,
"NoticeStockLevel": 44.0,
"DefaultUnit": 0,
"ManageStock": 45,
"PriceRek": 46.0,
"CommentsRequired": true,
"TicketQty": 48,
"MinCartQty": 49.0,
"MinQtyAlert": 50.0,
"ComissionPercent": 51.0,
"PantPrice": 52.0,
"TrackAmount": true,
"SaleUnitSuffix": "sample string 54",
"QtyPerSaleUnit": 55.0,
"AutoClose": true,
"ButtonTitle": "sample string 57",
"SpecialSalesPrice": 1.0,
"SpecialSalesPriceValidFrom": "2026-11-04T13:35:57.9215786+01:00",
"SpecialSalesPriceValidTo": "2026-11-04T13:35:57.9215786+01:00",
"Draft": true,
"VatChangeBehavior": 0,
"ItemTypeUUID": "f3714079-b9e0-4ee9-b1a8-f4685e7bc49f",
"ItemGroupUUID": "c764a425-00a6-49b0-a8d9-77c4d407e1f4",
"ItemAttributeSetUUID": "30d21138-7aaa-4466-a76a-5e9802091efb",
"BrandUUID": "993b2823-e4f1-463f-8c88-ce0a8a60ed82",
"TicketTemplateId": 1,
"OrderOptionType": 0,
"BestBeforeDays": 1,
"Created": "2026-11-04T13:35:57.9215786+01:00",
"Updated": "2026-11-04T13:35:57.9215786+01:00",
"UpdatedBy": "afb13c3b-42dd-4b01-9a07-69c34378beb8",
"CategoryId": 60,
"Campaign": {
"$id": "6",
"Id": "5db334da-7743-497d-8023-841272382bef",
"CampaignType": 0,
"DiscountBy": 0,
"BuyLimit": 2,
"FreeOffer": 3,
"Price": 4.0,
"DiscountQtyIncrement": 5,
"Description": "sample string 6",
"StartDate": "2026-11-04T13:35:57.9215786+01:00",
"EndDate": "2026-11-04T13:35:57.9215786+01:00",
"Deleted": true,
"Updated": "2026-11-04T13:35:57.9215786+01:00",
"CampaignPriceDetails": [
{
"$id": "7",
"Id": "434a8051-3292-4ead-bdc1-139025a6d33b",
"CampaignId": "2c5bf9bc-bb93-4f62-901d-45934bc1acf2",
"Quantity": 3,
"PayPrice": 4.0,
"Deleted": true,
"Updated": "2026-11-04T13:35:57.9215786+01:00"
},
{
"$ref": "7"
}
]
},
"ItemsTags": [
{
"$id": "8",
"Id": "6642eee8-1fd9-4d23-8249-afa1c26e3724",
"TagId": "393d8512-f781-4d1d-98a7-338e2a5c3385",
"ItemId": "b3143605-9bbe-4558-baa7-9aecbb716a74",
"Deleted": true,
"Synced": true,
"Updated": "2026-11-04T13:35:57.9215786+01:00",
"TagName": "sample string 7"
},
{
"$ref": "8"
}
],
"ItemCampaign": {
"$id": "9",
"UUID": "7d3788bb-eb00-4710-86cb-33c373219bde",
"CampaignTypeId": "OPEN",
"Title": "sample string 2",
"DiscountBy": 1,
"FreeOffer": 1,
"BuyLimit": 1,
"StartDate": "2026-11-04T13:35:57.9215786+01:00",
"EndDate": "2026-11-04T13:35:57.9215786+01:00",
"PriceEach": 1.0,
"PriceTotal": 1.0,
"Grouped": true,
"CurrencyCode": "sample string 6",
"IncludesVat": true,
"CreatedAt": "2026-11-04T13:35:57.9215786+01:00",
"CreatedByUUID": "sample string 9",
"UpdatedAt": "2026-11-04T13:35:57.9215786+01:00",
"UpdatedByUUID": "sample string 10",
"DeletedAt": "2026-11-04T13:35:57.9215786+01:00",
"DeletedByUUID": "sample string 11",
"Synced": true,
"ItemPrices": [
{
"$id": "10",
"UUID": "30b69a00-d593-4178-83fd-b8c8759d61d9",
"PriceListUUID": "7307f80c-8969-4b48-adc3-5a9c531681e7",
"ItemGroupUUID": "659a3e8f-873f-434c-ab43-c2bde38a758a",
"AgreementUUID": "d552a8dd-0e70-43a9-beba-fcc648f749f6",
"CustomerGroupUUID": "e75b52bf-4807-49bb-b68f-8a7aa9102775",
"CustomerUUID": "00f37eaa-47ce-4c75-a576-f6ea5cca7ee2",
"ProjectUUID": "281f437b-1f01-47e4-96ba-bc990d4a134c",
"CampaignUUID": "32c30987-2978-4613-846d-8fc304b97de2",
"ItemUUID": "8776182f-38ea-4eca-ae32-906cfc9b3187",
"WildCardSKU": "sample string 4",
"MinQty": 1.0,
"MaxQty": 1.0,
"Price": 1.0,
"Percentage": 1.0,
"Type": "sample string 5",
"RegularPrice": true,
"PurchasePrice": 1.0,
"ValidFrom": "2026-11-04T13:35:57.9215786+01:00",
"ValidTo": "2026-11-04T13:35:57.9215786+01:00",
"CreatedAt": "2026-11-04T13:35:57.9215786+01:00",
"CreatedByUUID": "sample string 8",
"UpdatedAt": "2026-11-04T13:35:57.9215786+01:00",
"UpdatedByUUID": "sample string 9",
"DeletedAt": "2026-11-04T13:35:57.9215786+01:00",
"DeletedByUUID": "sample string 10",
"Synced": true,
"ItemName": "sample string 12",
"CampaignTitle": "sample string 13"
},
{
"$ref": "10"
}
]
},
"HasPricePolicy": true,
"ItemCategory": [
{
"$id": "11",
"Id": 1,
"ItemId": "81062fe2-af1d-4df1-a7ab-4eff08503c8c",
"CategoryId": 3,
"SortOrder": 4,
"IsPrimary": true,
"CategoryBoostId": "sample string 6"
},
{
"$ref": "11"
}
],
"ItemIdex": 62,
"PolicyGroupId": 63,
"HasCampaign": true,
"Products": [
{
"$ref": "5"
},
{
"$ref": "5"
}
],
"ColorName": "sample string 64",
"Type": 65,
"ImagePath": "sample string 66",
"ImageVisibility": true,
"ifExists": "sample string 68",
"ProductPrices": [
{
"$id": "12",
"Id": 1,
"ItemId": "f0e1e3c2-6c65-489e-9124-cbc006fb3208",
"PurchasePrice": 3.0,
"Price": 4.0,
"OutletId": "03c1bf5b-6452-40e9-99a9-e56b4b13ec63",
"PriceMode": 0,
"Updated": "2026-11-04T13:35:57.9215786+01:00"
},
{
"$ref": "12"
}
],
"Ingredients": [
{
"$ref": "5"
},
{
"$ref": "5"
}
],
"Variants": [
{
"$id": "13",
"Id": 1,
"ConfigurationId": "84401868-57e8-4965-ac4b-dd709371e559",
"ItemId": "d0930305-d7c0-445a-94f5-f8da7b296188",
"SortOrder": 4,
"Deleted": true,
"Updated": "2026-11-04T13:35:57.9215786+01:00"
},
{
"$ref": "13"
}
],
"ItemOption": [
{
"$id": "14",
"Id": "9972719d-175b-4b19-890b-8a6b6db82ce3",
"ItemOptionGroupId": "703b4ca9-5620-43a7-980e-82549703be3a",
"ItemId": "338673e8-42a2-469c-b10d-2ded60abcec8",
"CategoryId": 4,
"Active": true,
"Updated": "2026-11-04T13:35:57.9215786+01:00"
},
{
"$ref": "14"
}
],
"ShowOnReceipt": true,
"QuickAdd": true,
"HasIngredients": true,
"HasVariants": true,
"HasOptions": true,
"CategoryItemGroups": [
{
"$id": "15",
"Id": "66072394-02e8-405b-82a1-a1a216b0bfe4",
"CategoryId": 2,
"GroupId": "f4453d75-2bb9-4942-ae39-277815b27bf0",
"Qty": 4.0,
"Price": 5.0,
"Deleted": true,
"SortOrder": 7,
"Updated": "2026-11-04T13:35:57.9215786+01:00",
"Description": "sample string 9"
},
{
"$ref": "15"
}
],
"ItemPricePolicies": [
{
"$id": "16",
"Id": 1,
"ItemId": "5a7fe456-a0ce-426f-87f4-b512ff20c61d",
"BuyLimit": 3,
"DiscountAmount": 4.0,
"Active": true,
"Deleted": true,
"Updated": "2026-11-04T13:35:57.9215786+01:00",
"PolicyId": 8
},
{
"$ref": "16"
}
],
"PriceGroupPolicies": [
{
"$id": "17",
"Id": 1,
"GroupId": 2,
"BuyLimit": 3,
"MaxLimit": 4,
"DiscountAmount": 5.0,
"TotalAmount": 6.0,
"Updated": "2026-11-04T13:35:57.9215786+01:00"
},
{
"$ref": "17"
}
],
"Photo": "QEA=",
"GroupPrice": 72.0,
"ExternalId": "sample string 73",
"IngredientQty": 74.0,
"StockQty": 75.0,
"Attributes": "sample string 76",
"LocalStockNull": true,
"StockInitialCount": 78.0,
"Selected": true,
"ShowWarhouseStock": true,
"ShowStockQty": true,
"HideStockQty": false,
"IsRUT": true,
"NotSelected": true,
"IsInActive": true,
"CreatedBy": "sample string 84",
"TerminalId": "60031902-57c8-463a-ad93-e264ee286878",
"CategoryName": "sample string 85",
"ShowCategoryName": true,
"DiscountedPrice": 86.0,
"Qty": 87.0,
"ConfigurationId": 88,
"ItemOptionId": "386b8445-7650-40e8-886d-d5339cab6c36",
"PriceAdd": 90.0,
"PriceRemove": 91.0,
"FreeQty": 92.0,
"MinQty": 93.0,
"MaxQty": 94.0,
"FirstItemSelected": true,
"OptionForOrderType": 0,
"PLUNumeric": 0,
"ScalePrice": 96.0,
"Files": [
{
"$id": "18",
"UUID": "9171f3b2-e910-41f9-b957-c29a2cccd12a",
"ParentUUID": "efef0a8c-291f-4e33-9afa-a735214a142c",
"EntityUUID": "da7ba3e8-9148-43ce-a3fd-69f3f84b61cd",
"EntityType": "sample string 3",
"ClientFilename": "sample string 4",
"ServerFilename": "sample string 5",
"ContentType": "sample string 6",
"ContentSubType": "sample string 7",
"FileSize": 8,
"Location": "sample string 9",
"Url": "sample string 10",
"ThumbnailUrl": "sample string 11",
"MetaData": "sample string 12",
"CreatedByUUID": "sample string 13",
"CreatedAt": "2026-11-04T13:35:57.9215786+01:00",
"UpdatedAt": "2026-11-04T13:35:57.9215786+01:00",
"UpdatedByUUID": "sample string 15",
"DeletedByUUID": "sample string 16",
"DeletedAt": "2026-11-04T13:35:57.9215786+01:00",
"Synced": true
},
{
"$ref": "18"
}
],
"HasFile": true,
"ItemTypeText": "Individual",
"ItemUnitText": "Piece",
"LanguageTexts": [
{
"$id": "19",
"Id": "be261ab4-1014-4305-9c0d-7d94147fff24",
"ItemId": "eafa81bd-9203-4dde-b609-b0d7bf7002af",
"LanguageId": 3,
"Name": "sample string 4",
"ShortDescription": "sample string 5",
"LongDescription": "sample string 6",
"Updated": "2026-11-04T13:35:57.9215786+01:00"
},
{
"$ref": "19"
}
],
"ItemAdditionalIdentifications": [
{
"$id": "20",
"UUID": "aff85ef8-e0b4-46a9-836e-f3729495d96b",
"ItemUUID": "078d911e-e3e0-4ea4-a285-442cddc8df8e",
"ItemInstanceUUID": "sample string 3",
"Identifier": "sample string 4",
"IdentifierSchemeId": "sample string 5",
"CreatedAt": "2026-11-04T13:35:57.9215786+01:00",
"CreatedByUUID": "sample string 7",
"UpdatedAt": "2026-11-04T13:35:57.9215786+01:00",
"updatedByUUID": "sample string 8"
},
{
"$ref": "20"
}
],
"IsManageStock": false,
"PriceExlTax": 20.23,
"IndexId": 97,
"IsSelected": true,
"HideQuantityUnit": true
},
"Quantity": 4.0,
"DiscountedUnitPrice": 5.0,
"PurchasePrice": 6.0,
"ItemDiscount": 7.0,
"TaxPercent": 8.0,
"Active": 64,
"ItemComments": "sample string 10",
"UnitPrice": 11.0,
"DiscountPercentage": 12.0,
"ItemStatus": 64,
"IsCoupon": 64,
"Direction": 15,
"DiscountType": 0,
"DiscountDescription": "sample string 16",
"ItemType": 0,
"GroupId": "c6dcf108-4cd7-44e9-9b16-5d15a92db666",
"GroupKey": "dc142166-d2a4-4415-9dcc-65be43aa3a5b",
"IngredientMode": "sample string 18",
"IngredientQty": 19.0,
"ItemUnit": 0,
"ShowOnReceipt": true,
"ServeType": 64,
"BongNo": 22,
"AddedOrder": 64,
"IsRUT": true,
"PrinterId": 25,
"ComissionPercent": 26.0,
"PantPrice": 27.0,
"HideQuantityUnit": true,
"BasePrice": 29.0,
"PreparationTime": 0,
"OutletId": "e0c4df95-d200-4a38-9d70-42c371c75bc8",
"QuickAdd": true,
"IsDefaultIngredient": true,
"ItemStatusText": "Ready",
"ItemStatusColor": "#FFD89778",
"KDSItemStatusColor": "#FFD89778",
"IsReadyToServe": true,
"EnableReadyToServe": false,
"IngredientCartQty": "4x19",
"OrderComments": "sample string 34",
"OrderDate": "2026-11-04T13:35:57.9215786+01:00",
"InvoiceDate": "2026-11-04T13:35:57.9215786+01:00",
"IsOrderComment": true,
"ServeTypeName": "sample string 37",
"ServeStatusColor": "sample string 38",
"ServeStatusVisibility": true,
"CampignIndex": 40,
"BorderColor": "sample string 41",
"BackColor": "sample string 42",
"ForeColor": "sample string 43",
"ButtonTag": 44,
"StatusColor": "#FFFFFFFF",
"IsValid": false,
"ItemDetails": [
{
"$ref": "4"
},
{
"$ref": "4"
}
],
"IngredientItems": [
{
"$ref": "4"
},
{
"$ref": "4"
}
],
"CampaignId": "d78a4c98-4e78-4549-b671-a67f3834fd96",
"HasGroupItems": false,
"GrossTotal": 660.0,
"GrossDiscountTotal": -153.0,
"IngredientTotal": -102.0,
"ShowButton": false,
"ItemName": "sample string 2",
"UpdateColorName": 64,
"VAT": 0.98222222222222222,
"ItemTotalDiscount": 21.0,
"ItemTotalDiscountDisplay": -21.0,
"DiscountVisibility": true,
"ComissionVisibility": true,
"ItemDiscountDisplay": -7.0,
"DiscountSignVisibility": true,
"IngredientListVisibility": true,
"RecieptQtyVisibility": true,
"StatusVisibility": false,
"QtyVisibility": true,
"GroupQtyVisibility": true,
"IngredientVisibility": true,
"imagePath": "/LuqonRetail;component/images/minusQty.png",
"IsSelected": true,
"SelecttedImagePath": "/LuqonRetail;component/images/selecteditem.png",
"CampaignApplied": true,
"DisableCampaignApplied": true,
"CampaignAppliedVisibility": false,
"RewardApplied": true,
"CartQty": "4",
"RecieptQty": "4.00",
"HasIngredients": true,
"ReceiptItems": [
{
"$id": "21",
"ContentGuid": "01aabbaf-4a36-4405-822b-9185932ea3bb",
"Extra": true,
"Strip": true,
"Text": "sample string 4",
"Price": 5.0,
"VAT": 6.0,
"Quantity": 7,
"Direction": "+"
},
{
"$ref": "21"
}
],
"ItemIdex": 49,
"BIDSNO": 50,
"Percentage": 51.0,
"OrderType": 0,
"BIDS": "sample string 52",
"Category": "sample string 53",
"Description": "sample string 54",
"MoveQuantity": 55.0,
"SortOrder": 56,
"InWait": true,
"DetailItemsVisiblity": true,
"DisplayTotal": "sample string 59",
"GiftCardNo": "sample string 60",
"AddedAt": "2026-11-04T13:35:57.9215786+01:00",
"DisplayQty": "sample string 62",
"HideButton": true,
"ItemNameWidth": 64,
"LineHeight": 25,
"ButtonVisibility": false,
"BarcodeStartWith20": false,
"DeleteButtonVisibility": true,
"CommentVisibility": true,
"MarkReadyVisibility": true,
"CartFontSize": 66,
"IngredeintComment": "sample string 67",
"IngredeintModeVisibility": false,
"IngredeintCommentVisibility": true,
"PantPriceVisibility": true,
"TotalPantPrice": 108.0,
"ItemDescription": "sample string 68",
"OnlyPriceVisibility": true,
"DiscountJournalEntery": {
"$id": "22",
"Id": 1,
"UserId": "sample string 2",
"OrderId": "880c2799-2f36-41cd-83c2-1ae6ae98fc10",
"ItemId": "dab6afa8-6165-4305-9cb6-6bc7331dab55",
"TableId": 1,
"ActionId": 3,
"Created": "2026-11-04T13:35:57.9215786+01:00",
"LogMessage": "sample string 5",
"Synced": true,
"Action": "sample string 7",
"UserName": "sample string 8"
},
"PriceExlTax": 4.63,
"PurchasePriceExlTax": 5.56
},
{
"$ref": "4"
}
],
"Receipts": [
{
"$id": "23",
"ReceiptId": "4ccdd450-81a6-43d5-85b0-b3c00ad2dcf5",
"TerminalId": "f97114a0-8d5f-439c-ab45-c2a0b50f515c",
"TerminalNo": 64,
"ReceiptNumber": 4,
"OrderId": "f44079a8-21f7-4395-a511-dd80c9d2912b",
"Order": {
"$ref": "3"
},
"ReceiptCopies": 64,
"GrossAmount": 7.0,
"VatAmount": 8.0,
"VatDetail": "sample string 9",
"PrintDate": "2026-11-04T13:35:57.9215786+01:00",
"ControlUnitName": "sample string 11",
"ControlUnitCode": "sample string 12",
"CustomerPaymentReceipt": "sample string 13",
"MerchantPaymentReceipt": "sample string 14",
"IsSignature": true,
"VatDetails": null,
"NegativeAmount": 16.0,
"RoundedAmount": 17.0,
"CLEAN_CASH_ERROR": "sample string 18"
},
{
"$ref": "23"
}
],
"Payments": [
{
"$id": "24",
"Id": "51a85293-0ba3-41c0-ae49-4204116ccccb",
"OrderId": "8c4e16c2-10d0-45ea-9a9f-03ef980a25db",
"Order": {
"$ref": "3"
},
"TypeId": 64,
"PaidAmount": 4.0,
"ReturnAmount": 5.0,
"PaymentDate": "2026-11-04T13:35:57.9215786+01:00",
"PaymentRef": "sample string 7",
"CreditCardNo": "sample string 8",
"CashCollected": 9.0,
"CashChange": 10.0,
"IsCashSaleDropped": 64,
"Direction": 12,
"ProductName": "sample string 13",
"DeviceTotal": 14.0,
"TypeName": "sample string 15"
},
{
"$ref": "24"
}
],
"RUTDiscount": 40.0,
"CustomerName": "sample string 41",
"CustomerPhone": "sample string 42",
"PrimaryContact": "sample string 43",
"PrimaryPhone": "sample string 44",
"PrimaryEmail": "sample string 45",
"CustomerNo": "sample string 46",
"Email": "sample string 47",
"CustomerAddress": "sample string 48",
"CreatedBy": "sample string 49",
"IsSelected": true,
"EmailSent": true,
"SentDate": "2026-11-04T13:35:57.9215786+01:00",
"DueDate": "2026-11-04T13:35:57.9215786+01:00",
"BalanceAmount": 52.0,
"SelectedTable": {
"$ref": "1"
},
"Receipt": {
"$ref": "23"
},
"Customer": {
"$id": "25",
"Id": "31611c24-b8e0-4e78-a285-da6bd15dfaf8",
"ParentId": "599fec8e-605f-4fb3-9283-1ae155121292",
"Name": "sample string 2",
"OrgNo": "sample string 3",
"Address1": "sample string 4",
"Address2": "sample string 5",
"FloorNo": 6,
"PortCode": "sample string 7",
"CustomerNo": "sample string 8",
"City": "sample string 9",
"Phone": "sample string 10",
"Email": "sample string 11",
"ZipCode": "sample string 12",
"Reference": "sample string 13",
"DirectPrint": true,
"VehicleId": 15,
"CommunicationTypeId": 16,
"Active": true,
"Synced": true,
"EnableRUT": true,
"RUTDisallowedUntil": "2026-11-04T13:35:57.9215786+01:00",
"CustomerType": 0,
"PrimaryName": "sample string 20",
"PrimaryPhone": "sample string 21",
"PrimaryEmail": "sample string 22",
"SendReceipt": true,
"InstructionAlert": true,
"Instructions": "sample string 25",
"PaymentMethod": 0,
"DeliveryMethod": 0,
"Created": "2026-11-04T13:35:57.9215786+01:00",
"Updated": "2026-11-04T13:35:57.9215786+01:00",
"UpdatedBy": "0897fc85-2def-4345-949e-f379b70e1661",
"PriceListId": "3e2fd52f-ac87-44b1-9bba-c6d3bc55dfa1",
"Customer_CustomField": [
{
"$id": "26",
"Id": "30a61068-a5be-4677-8205-4f6c43db3d49",
"FieldId": "f9ec0403-77a5-4e99-9f98-2c7b897128bd",
"CustomerCustomField": {
"$id": "27",
"Id": "b54ebe79-77d0-441e-a9ff-bad94c42dc39",
"Caption": "sample string 2",
"SortOrder": 3
},
"CustomerId": "f031c03a-faf0-4ddb-9456-4aac0b5f5b4d",
"Customer": {
"$ref": "25"
},
"Caption": "sample string 4",
"Text": "sample string 5",
"SortOrder": 6,
"Updated": "2026-11-04T13:35:57.9215786+01:00"
},
{
"$ref": "26"
}
],
"DiscountGroupId": "cb548bdf-e811-468d-ad25-b17aeb6f073a",
"OrgNumber": "sample string 3",
"CustomerName": "sample string 2",
"Address": "sample string 4, sample string 12, sample string 9",
"PrimaryContacts": [
{
"$ref": "25"
},
{
"$ref": "25"
}
],
"ContactReference": "sample string 30",
"DiscountGroup": {
"$id": "28",
"DiscountId": "e69b6f13-d86b-4fdf-a7fe-a32700c770eb",
"Title": "sample string 2",
"Discount": 3.0,
"Created": "2026-11-04T13:35:57.9215786+01:00",
"Updated": "2026-11-04T13:35:57.9215786+01:00",
"Description": "sample string 6"
},
"Parent": {
"$ref": "25"
},
"ShowEdit": true,
"GiftCard": {
"$id": "29",
"CardId": "254328f7-3b45-4955-b54d-1d9afe071b17",
"CardNumber": "sample string 2",
"AddedAmount": 3.0,
"Balance": 4.0,
"CustomerId": "8d53d470-96c1-4b05-bb2e-dc26db651cdc",
"Title": "sample string 6",
"ValidFrom": "2026-11-04T13:35:57.9215786+01:00",
"ValidTo": "2026-11-04T13:35:57.9215786+01:00",
"Active": true,
"Updated": "2026-11-04T13:35:57.9215786+01:00",
"CardType": 0,
"UniqueCode": "sample string 11",
"Synced": true,
"Status": "Aktiva",
"UsedAmount": -1.0,
"CustomerDiscount": 13.0,
"CustomerName": "sample string 14",
"SeasonTicket": {
"$id": "30",
"Id": "48b3022b-ce84-4f92-b126-1ed0d3a12445",
"CustomerId": "dee50927-3919-40e0-a9e2-89c0c077b3d9",
"ExpiryDate": "2026-11-04T13:35:57.9215786+01:00",
"Active": true,
"Synced": true,
"CustomerName": "sample string 6"
},
"OrderId": "eb384119-6e6d-4e5b-bdd9-83dc3b8094c3",
"NewAmount": 16.0,
"VehicleId": 17,
"OutletName": "sample string 18"
}
},
"ShortComments": "sample string 53",
"CartNumber": 54,
"SelecttedImagePath": "/images/selecteditem.png",
"ServeStatusColor": "sample string 55",
"SumAmtString": "19",
"OrderDirection": 1,
"BongNumber": "sample string 56",
"BongComments": "sample string 57",
"OutletCode": "sample string 58",
"DefaultOrderType": "sample string 59",
"KDSOrderType": 60,
"OrderStatusFromType": 3,
"PaidStatus": "Delbetald",
"OrderNumber": "38902da6-a3df-4710-80aa-4244abfe40b9",
"ReceiptNumber": "9",
"OrderType": 0,
"GrossAmount": -40.0,
"ComissionAmount": 0.0,
"NetAmount": 0.0,
"VatAmount": 0.0,
"PartialPaidAmount": 61.0,
"SelectEnable": false,
"CheckOutVisibility": true,
"RetryVisibility": false,
"ButtonVisibility": false,
"ReturnButtonVisibility": false,
"SendTicketToCustomer": true,
"IsReadyToPickup": true,
"IsWaitingToPickup": true,
"ShowReminder": true,
"ShowSMSWarning": true,
"ButtonRestoreVisibility": false,
"ButtonChangeCustomerVisibility": false,
"InvNumber": "sample string 67",
"GiftCard": {
"$ref": "29"
},
"GiftCards": [
{
"$ref": "29"
},
{
"$ref": "29"
}
],
"PaymentType": "sample string 68",
"PaymentTypeId": 69,
"InProgress": true,
"ShowButtonOnOpenView": false,
"ShowButtonOnOpenViewInRestaurant": true,
"AskRUTCalled": true,
"OrderTickets": [
{
"$id": "31",
"Id": "27f22fcc-7a61-4721-8a1a-9a16bb791010",
"OrderId": "e72dfe09-38bc-4c3b-93f9-66e06a82592b",
"TicketNo": 3,
"BongNo": 4,
"TableId": 5,
"Comments": "sample string 6",
"CreatedBy": "sample string 7",
"CreatedAt": "2026-11-04T13:35:57.9215786+01:00",
"OrderTicketItems": [
{
"$id": "32",
"Id": "120bcc8d-eb01-454d-926c-eefd8fca0a98",
"TicketId": "12fefd50-36e7-4c9f-9bfa-730ad3c9c368",
"OrderTicket": {
"$ref": "31"
},
"ItemId": "1afb8b38-7d4d-45b0-bbb2-03f6fb8a85e9",
"Quantity": 4.0,
"Comments": "sample string 5",
"PrinterId": 6
},
{
"$ref": "32"
}
]
},
{
"$ref": "31"
}
],
"KDSStatus": 0,
"KitchenStatus": 0,
"RecreateTableButton": true,
"TabNo": 74,
"ExportStatus": 75,
"ExportError": "sample string 76",
"TipAmount": 77.0,
"ShowTabNo": true,
"TabNoHeight": 25,
"CurrentStatusText": "sample string 79",
"FoodlyNumber": "sample string 80",
"CommerceOrderFulfillment": {
"$id": "33",
"Id": "4503b925-67da-4db6-be59-c6bef717f834",
"OrderId": "05f47ed4-8e8c-4383-b485-dc326ab98291",
"FulfillmentTypeCode": "sample string 3",
"PromisedAt": "2026-11-04T13:35:57.9215786+01:00",
"PromisedDurationMinutes": 4,
"EstimatedReadyAt": "2026-11-04T13:35:57.9215786+01:00"
},
"FoodlyOrder": {
"$id": "34",
"Id": "edf26364-81f6-4c4e-b2c5-3d7cae735876",
"FoodlyId": 2,
"NIMPOSId": "6c012346-d606-4f95-9bb1-4d3175d40fbc",
"Json": "sample string 4",
"DeliveryRequestedOn": "2026-11-04T13:35:57.9215786+01:00",
"PromisedDurationMinutes": 6,
"SendTokitchen": true
},
"LogEnteries": [
{
"$ref": "22"
},
{
"$ref": "22"
}
],
"DisableCheckoutTraceLog": true
},
{
"$ref": "3"
}
]
},
{
"$ref": "1"
}
]
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.